=== modified file 'breezy/patches.py'
--- breezy/patches.py	2019-11-23 09:08:53 +0000
+++ breezy/patches.py	2019-12-28 14:10:36 +0000
@@ -586,10 +586,10 @@
             orig_contents = tt._tree.get_file_text(oldname)
             tt.delete_contents(trans_id)
 
-        if patch.newname != '/dev/null':
+        if patch.newname != b'/dev/null':
             newname = strip_prefix(patch.newname.decode())
-            new_contents = b''.join(iter_patched_from_hunks(
-                orig_contents.splitlines(True), patch.hunks))
+            new_contents = iter_patched_from_hunks(
+                orig_contents.splitlines(True), patch.hunks)
             if trans_id is None:
                 parts = os.path.split(newname)
                 trans_id = tt.root

=== modified file 'breezy/tests/test_patches.py'
--- breezy/tests/test_patches.py	2019-11-23 09:08:53 +0000
+++ breezy/tests/test_patches.py	2019-12-28 14:10:36 +0000
@@ -333,7 +333,7 @@
         self.build_tree_contents([('a', 'a\n')])
         tree.add('a')
         tree.commit('Add a')
-        patch = parse_patch("""\
+        patch = parse_patch(b"""\
 --- a/a
 +++ a/a
 @@ -1 +1 @@
@@ -348,7 +348,7 @@
         self.build_tree_contents([('a', 'a\n')])
         tree.add('a')
         tree.commit('Add a')
-        patch = parse_patch("""\
+        patch = parse_patch(b"""\
 --- a/a
 +++ /dev/null
 @@ -1 +0,0 @@
@@ -362,7 +362,7 @@
         self.build_tree_contents([('a', 'a\n')])
         tree.add('a')
         tree.commit('Add a')
-        patch = parse_patch("""\
+        patch = parse_patch(b"""\
 --- /dev/null
 +++ a/b
 @@ -0,0 +1 @@

